from distutils.core import setup, Extension

setup(name = 'PySnowballStemmer',
      version = '0.0.1',
      description = 'Python interface to Snowball Stemmer',
      author = 'Weongyo Jeong',
      author_email = 'weongyo@gmail.com',
      url = 'http://weongyo.org/',

      ext_modules = [Extension('SnowballStemmer',
                               ['src/SnowballStemmer.c',
                                'libstemmer_c/libstemmer/libstemmer.c',
                                'libstemmer_c/runtime/api.c',
                                'libstemmer_c/runtime/utilities.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_danish.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_dutch.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_english.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_finnish.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_french.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_german.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_italian.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_norwegian.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_porter.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_portuguese.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_spanish.c',
                                'libstemmer_c/src_c/stem_ISO_8859_1_swedish.c',
                                'libstemmer_c/src_c/stem_KOI8_R_russian.c',
                                'libstemmer_c/src_c/stem_UTF_8_danish.c',
                                'libstemmer_c/src_c/stem_UTF_8_dutch.c',
                                'libstemmer_c/src_c/stem_UTF_8_english.c',
                                'libstemmer_c/src_c/stem_UTF_8_finnish.c',
                                'libstemmer_c/src_c/stem_UTF_8_french.c',
                                'libstemmer_c/src_c/stem_UTF_8_german.c',
                                'libstemmer_c/src_c/stem_UTF_8_italian.c',
                                'libstemmer_c/src_c/stem_UTF_8_norwegian.c',
                                'libstemmer_c/src_c/stem_UTF_8_porter.c',
                                'libstemmer_c/src_c/stem_UTF_8_portuguese.c',
                                'libstemmer_c/src_c/stem_UTF_8_russian.c',
                                'libstemmer_c/src_c/stem_UTF_8_spanish.c',
                                'libstemmer_c/src_c/stem_UTF_8_swedish.c',
                                 ],
                               include_dirs = ['src',
                                               'libstemmer_c/include'])
                    ]
      )
